Starting rev 2

* Adjusted sizes and other parameters for the new 65% keyboard
* Commented battery holder (waiting on the 18650 charger)
This commit is contained in:
Roberto Alsina 2023-01-26 11:08:58 -03:00
parent bebc4d5729
commit d048e19cec
7 changed files with 131920 additions and 133292 deletions

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -8,8 +8,8 @@ from cadquery2 import exporters
shell_t = 3
# Size of the kbd board
kbd_height = 98
kbd_width = 286
kbd_height = 95.5
kbd_width = 305
kbd_angle = 5
# Size of the whole object
@ -27,17 +27,17 @@ kbd_pillars = (
cq.Sketch()
.push(
[
(19, -16.5),
(133, -16.5),
(247.5, -16.5),
(24, -86),
(142.5, -91),
(261.5, -86),
(18.25, -16),
(142.5, -25.5),
(kbd_width - 20, -16),
(23.5, -79.5),
(145.5, -82.5),
(kbd_width - 19, -79.5),
]
)
.circle(6, mode="a")
.circle(4.8, mode="a")
# Holes for M3 threaded inserts
.circle(ti_radius, mode="s")
.circle(1, mode="s")
)
# These are placed where convenient, and are used to join the top and bottom
@ -60,24 +60,24 @@ mounting_pillars = (
screw_holes = cq.Sketch().push(mounting_pillar_positions).circle(3, mode="a")
battery_holder = (
cq.Sketch()
.polygon(
[(-67, 5), (0, 5), (0, -12), (-67, -12), (-67, 5)],
mode="a",
)
.trapezoid(83, 83, 90, mode="a")
.trapezoid(80, 80, 90, mode="s")
.polygon(
[(-67, 3), (0, 3), (0, -10), (-67, -10), (-67, 3)],
mode="s",
)
# Cutout for the
.polygon(
[(-67, 30), (0, 30), (0, 12), (-67, 12), (-67, 30)],
mode="s",
)
)
# battery_holder = (
# cq.Sketch()
# .polygon(
# [(-67, 5), (0, 5), (0, -12), (-67, -12), (-67, 5)],
# mode="a",
# )
# .trapezoid(83, 83, 90, mode="a")
# .trapezoid(80, 80, 90, mode="s")
# .polygon(
# [(-67, 3), (0, 3), (0, -10), (-67, -10), (-67, 3)],
# mode="s",
# )
# # Cutout for the
# .polygon(
# [(-67, 30), (0, 30), (0, 12), (-67, 12), (-67, 30)],
# mode="s",
# )
# )
power_in = cq.Sketch().circle(5, mode="a")
@ -100,10 +100,10 @@ def model():
.faces(">Z")
.shell(-shell_t)
# Battery holder
.workplaneFromTagged("mid_height")
.center(-width / 2 + shell_t + 65, height / 2 - shell_t - 45)
.placeSketch(battery_holder)
.extrude(-height / 2)
# .workplaneFromTagged("mid_height")
# .center(-width / 2 + shell_t + 65, height / 2 - shell_t - 45)
# .placeSketch(battery_holder)
# .extrude(-height / 2)
# Power cable inlet
.faces("<X")
.workplane(centerOption="CenterOfBoundBox")

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff